<?xml version="1.0" encoding="UTF-8"?>
<scenario begin="account">

	<!--Glovo - Un-doi-->
	<screen id="account" type="numeric" title="Cod livrator">
		<fields>
			<text-field id="id1" keyboard="Digital" max-len="10" message="Introduceti codul de livrator" title="Cod livrator" default="">
				<validator type="regex">
					<rules>
						<rule regex="^[0-9]{8,10}$"/>
					</rules>
				</validator>
				<help>
					<![CDATA[<html><center>Introduceti codul de livrator]]>
				</help>
			</text-field>
		</fields>
		<actions>
			<action type="Next" title="Inainte">
				<set key="service_name" value="Glovo"/>
				<goto target="confirm"/>
			</action>
			<action type="Prev" title="Inapoi">
				<goto target="previous"/>
			</action>
			<action type="Exit" title="Acasa">
				<goto target="exit"/>
			</action>
		</actions>
	</screen>

	<!-- Confirm -->
	<screen id="confirm" type="confirm" title="Confirmare">
		<fields list="id1"/>
		<actions>
			<action type="Next" title="Achita">
				<goto target="pay"/>
			</action>
			<action type="Prev" title="Inapoi">
				<goto target="account"/>
			</action>
			<action type="Exit" title="Acasa">
				<goto target="exit"/>
			</action>
		</actions>
	</screen>
</scenario>
